
Application: gvSIG desktop - gvSIG bugs #1657
Error exporting layers to SHP format
03/11/2013 01:50 PM - Ignacio Brodín

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.0.0-final
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2064 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

When the source has fields with more than eleven characters, the application shows an error

java.lang.IllegalArgumentException: Attribute name 'Unidad_medi' not found in the feature.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeature.get(DefaultFeature.java:281)
    at org.gvsig.exportto.swing.prov.shape.ExporttoShapeService.setNonNulls(ExporttoShapeService.java:416)
    at org.gvsig.exportto.swing.prov.shape.ExporttoShapeService.export(ExporttoShapeService.java:337)
    at org.gvsig.exportto.swing.prov.shape.ExporttoShapeService.export(ExporttoShapeService.java:169)
    at org.gvsig.exportto.swing.impl.DefaultJExporttoServicePanel$Export.run(DefaultJExporttoServicePanel.java:231)

The problem is that the field name is cut to be exported to SHP format. After cut, this field is requested to the source with the short
name.

Other problem is that, if the source has two fields which the eleven first characters are equal there will be a problem exporting to SHP
format

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 1683: Can't save changes... Closed 03/22/2013
Duplicated by Application: gvSIG desktop - gvSIG bugs # 1897: Issue when expo... Closed 06/06/2013

History
#1 - 04/25/2013 02:23 PM - Manuel Madrid
- Priority changed from Normal to Urgent

#2 - 05/09/2013 04:09 PM - Manuel Madrid
- Category set to Vector editing

#3 - 06/25/2013 06:50 PM - Manuel Madrid
- Assignee set to Juan Lucas Domínguez

#4 - 08/14/2013 09:07 AM - Juan Lucas Domínguez
- Status changed from New to Fixed

Renamed long names to short ones also avoiding repetitions. Finally a dialog informs of changes in names.
#5 - 02/26/2014 12:32 PM - Álvaro Anguix
- Status changed from Fixed to Closed
